> ## Documentation Index
> Fetch the complete documentation index at: https://docs.neuroncx.in/llms.txt
> Use this file to discover all available pages before exploring further.

# Update agent status

> Update the status of a chat / agent session.



## OpenAPI

````yaml POST /agent/status/{examId}
openapi: 3.0.3
info:
  title: NeuronCx API
  version: 1.0.0
  description: >-
    API collection of NeuronCx — Omnichannel Automations & Reasoning. NeuronCx
    APIs use Bearer as an authorization layer. Every API request must contain an
    `Authorization` HTTP header with a token. Tokens can be generated by admin
    role users on https://dash.neuroncx.in/.
servers:
  - url: https://domain-c.neuroncx.in
    description: Carrier domain (domain_c)
  - url: https://domain-g.neuroncx.in
    description: Get/lead domain (domain_g)
  - url: https://domain-i.neuroncx.in
    description: Interactive/messaging domain (domain_i)
  - url: https://events.neuroncx.in
    description: Event handler domain
  - url: https://automation.neuroncx.in
    description: Automation domain
security:
  - bearerAuth: []
tags:
  - name: Prospects
  - name: Messages
  - name: Attributes
  - name: Agent
  - name: Events
paths:
  /agent/status/{examId}:
    post:
      tags:
        - Agent
      summary: Update agent status
      operationId: updateAgentStatus
      parameters:
        - name: examId
          in: path
          required: true
          schema:
            type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              required:
                - chatId
                - status
              properties:
                chatId:
                  type: string
                status:
                  type: string
                  enum:
                    - assigned
                    - joined
                    - disconnected
            example:
              chatId: id
              status: assigned
      responses:
        '200':
          description: Status updated
      x-codeSamples:
        - lang: JSON
          label: Assigned
          source: |-
            {
              "chatId": "id",
              "status": "assigned"
            }
        - lang: JSON
          label: Joined
          source: |-
            {
              "chatId": "id",
              "status": "joined"
            }
        - lang: JSON
          label: Disconnected
          source: |-
            {
              "chatId": "id",
              "status": "disconnected"
            }
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.